Bug 1096747 - libreoffice-writer crashes when doing a Format - Page on a html type document
Summary: libreoffice-writer crashes when doing a Format - Page on a html type document
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-12 11:26 UTC by Gerard van der Veen
Modified: 2014-06-12 06:22 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-12 06:22:22 UTC


Attachments (Terms of Use)
snapshot of the unexploitable Format - Page window for a html type document (44.25 KB, image/jpeg)
2014-05-31 20:32 UTC, Gerard van der Veen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 77242 None None None Never

Description Gerard van der Veen 2014-05-12 11:26:17 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Version: 4.2.3.3
Build ID: 4.2.3.3-9.fc20

How reproducible: systematic on both 32 and 64 bit AMD


Steps to Reproduce:
1.start openoffice writer
2.create a new document, select type html
3.in the menu bar select Format, and in the roll-down list Page

Actual results:
the openoffice window is closed and there is no more openoffice in the process list

Expected results: A window opens showing page format options


Additional info:
the previous version of openoffice had already this problem, the one before would freeze at start, but three versions back this problem was absent

Comment 1 Fedora Update System 2014-05-27 08:24:25 UTC
libreoffice-4.2.4.2-15.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.4.2-15.fc20

Comment 2 Fedora Update System 2014-05-28 02:52:33 UTC
Package libreoffice-4.2.4.2-15.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.4.2-15.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6757/libreoffice-4.2.4.2-15.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-05-28 23:53:22 UTC
libreoffice-4.2.4.2-15.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Gerard van der Veen 2014-05-31 20:32:28 UTC
Created attachment 901130 [details]
snapshot of the unexploitable Format - Page window for a html type document

At the beginning of this year (into februari) when doing a Format - Page on a html type document one got a window very similar as when doing the same on a text type document

Comment 5 Gerard van der Veen 2014-05-31 20:34:55 UTC
there is some change: now libreoffice-writer stays up when doing a Format - Page on a html type document, but the window that pops up is not what it should be.
The window just has part of the main window header with some distortion like a double set of similar icons (that do not respond) and there are no tabs for page format options.
Conclusion: there is still a problem

I will try to add a snapshot of the Page - Format window as attachment

Comment 6 Gerard van der Veen 2014-06-02 12:56:44 UTC
The current version 4.2.4.2 compiled for PortableApps for MSWindows has the original problem (the crash) which proofs the problem to be independent from Fedora/RedHat

Comment 7 Caolan McNamara 2014-06-05 12:50:04 UTC
crud, I was looking at format page in web layout mode of a normal document, not in format page of html document.

Comment 8 Caolan McNamara 2014-06-05 12:55:54 UTC
*mumble*, that was dumb. Should be good in libreoffice-4.2.4.2-18.fc20

Comment 9 Fedora Update System 2014-06-06 07:58:14 UTC
libreoffice-4.2.4.2-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.4.2-18.fc20

Comment 10 Fedora Update System 2014-06-10 02:51:25 UTC
Package libreoffice-4.2.4.2-18.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.4.2-18.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7106/libreoffice-4.2.4.2-18.fc20
then log in and leave karma (feedback).

Comment 11 Gerard van der Veen 2014-06-11 12:07:21 UTC
the two successive problems are gone. OK

Note: 'yum update etc' as indicated ended with the message that libreoffice-4.2.4.2-18.fc20 was available but that nothing was set for update; using 'yum install etc' did in fact an update.....

Comment 12 Fedora Update System 2014-06-12 06:22:22 UTC
libreoffice-4.2.4.2-18.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.